Bug 1033495 - The commitPreparedTransaction CLI operation isn't available in domain mode
Summary: The commitPreparedTransaction CLI operation isn't available in domain mode
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS
Version: 6.1.1
Hardware: All
OS: Linux
unspecified
high
Target Milestone: DR0
: EAP 6.3.0
Assignee: Jeff Mesnil
QA Contact: Miroslav Novak
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-22 08:52 UTC by Tyronne Wickramarathne
Modified: 2014-07-17 04:13 UTC (History)
3 users (show)

(edit)
In previous versions of JBoss EAP 6, the management operations on hornetq-server resources were not available in domain mode. This issue has been corrected in this release.
Clone Of:
(edit)
Last Closed: 2014-06-28 15:41:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2570 Major Resolved hornetq-server runtime operations are not listed in domain mode 2014-07-24 07:25:28 UTC

Description Tyronne Wickramarathne 2013-11-22 08:52:47 UTC
Description of problem:

The commitPreparedTransaction works fine via command line interface when the standalone configuration being used. Howevr, this method does not exist in domain mode. 

Version-Release number of selected component (if applicable):

JBoss-EAP-6.1.1
HornetQ-2.3.5

How reproducible:
Always

Steps to Reproduce:
1. Start JBoss-EAP-6.1.1 in standalone mode
2. Please try to execute /subsystem=messaging/hornetq-server=default:commit-prepared-transaction 
3. You could observe this operation does exist in the standalone configuration
4. Start the server in domain mode and try to perform the commit-prepared-transaction operation via command line interface. 
/profile=full-ha/subsystem=messaging/hornetq-server=default:
5. You would notice "commit-prepared-transaction" operation hasn't been supplied with the domain configuration.


Actual results:


Expected results:


Additional info:

Comment 1 Jeff Mesnil 2013-11-22 16:53:53 UTC
commit-prepared-transaction is a runtime operation on a hornetq-server resource and can be executed with the path 

/host=master/server=server-one/subsystem=messaging/hornetq-server=default:commit-prepared-transaction

Note that the operation is not listed by the :read-operation-names. I'll check why this is the case.

Comment 2 JBoss JIRA Server 2013-11-27 09:09:37 UTC
Jeff Mesnil <jmesnil@redhat.com> made a comment on jira WFLY-2570

PR merged in master branch

Comment 3 Jeff Mesnil 2014-01-20 15:31:13 UTC
PR for jboss-eap https://github.com/jbossas/jboss-eap/pull/841

Comment 4 Miroslav Novak 2014-02-25 08:46:38 UTC
Operation:
/host=master/server=server-one/subsystem=messaging/hornetq-server=default:commit-prepared-transaction

is present in EAP 6.3.0.DR0 and commit-prepared-transaction is in the list of operation for:
/host=master/server=server-one/subsystem=messaging/hornetq-server=default:read-operation-names

Verified.

Comment 5 Scott Mumford 2014-07-17 04:13:50 UTC
Making public for inclusion in 6.3.0 Release Notes.


Note You need to log in before you can comment on or make changes to this bug.